[pacman-dev] [PATCH] makepkg: Use a recursive git clone.

Neer Sighted neersighted at myopera.com
Fri Mar 1 12:41:33 EST 2013


Make makepkg use a recursive clone when creating the working directory.
This will initialize submodules
---
 scripts/makepkg.sh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index bd29d73..9399aa5 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -490,7 +490,7 @@ download_git() {
 	pushd "$srcdir" &>/dev/null
 	rm -rf "${dir##*/}"
 
-	if ! git clone "$dir"; then
+	if ! git clone --recursive "$dir"; then
 		error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
 		plain "$(gettext "Aborting...")"
 		exit 1
-- 
1.8.1.4



More information about the pacman-dev mailing list